Skip to main content
POST
/
v1
/
me
/
shifts
/
{shiftId}
Claim Shift
curl --request POST \
  --url https://app.untetherlabs.com/api/v1/me/shifts/{shiftId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "version": 123
}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2024-11-20T07:43:34+0000",
  "provider": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startDate": "2024-11-20T07:43:34+0000",
  "endDate": "2024-11-20T07:43:34+0000",
  "segments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "importedId": "<string>",
      "createdAt": "2024-11-20T07:43:34+0000",
      "role": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isBreak": false,
      "isOnCall": false,
      "type": "working",
      "startDate": "2024-11-20T07:43:34+0000",
      "endDate": "2024-11-20T07:43:34+0000",
      "labels": [
        "<string>"
      ],
      "roleImportedId": "<string>",
      "additionalInfo": "<unknown>",
      "skillRequirement": {
        "type": "equal",
        "skill": "<string>",
        "value": "<string>"
      }
    }
  ],
  "team": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "note": "<string>",
  "isCallout": true,
  "workRuleOverride": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": 123,
  "payCodes": [
    {
      "payCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": 123
    }
  ]
}
Claim a shift as a provider.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shiftId
string<uuid>
required

Body

application/json
version
number
required

The version of the shift when it was loaded. Used to detect conflicts.

Response

id
string<uuid>
required
createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

provider
string<uuid> | null
required

The provider of the shift. If null, the shift is an open shift.

startDate
string
required
Example:

"2024-11-20T07:43:34+0000"

endDate
string
required
Example:

"2024-11-20T07:43:34+0000"

segments
object[]
required

The segments that make up a shift, ordered by startDate.

team
string<uuid> | null
required

The team that the shift is associated with.

note
string | null
required

A note about the shift. Visible to providers.

isCallout
boolean
required

Whether the shift is marked as a callout. Callout shifts are hidden from most non-scheduler reads.

workRuleOverride
string<uuid> | null
required
version
number

Version number for optimistic locking. Include this when updating to detect conflicts.

payCodes
object[]
Maximum array length: 1